LibreOffice: XSheetCellRanges Interface Reference

LibreOffice LibreOffice 7.4 SDK API Reference

Loading...
Searching...
No Matches
Public Member Functions | List of all members
XSheetCellRanges Interface Referencepublished

provides methods to access cell ranges in a collection via index and other helper methods. More...

Inheritance diagram for XSheetCellRanges:

## Public Member Functions
com::sun::star::container::XEnumerationAccess | getCells ()
| returns the collection of all used cells.
string | getRangeAddressesAsString ()
| creates a string with addresses of all contained cell ranges.
sequence< com::sun::star::table::CellRangeAddress > | getRangeAddresses ()
| creates a sequence with addresses of all contained cell ranges.
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object.
void | acquire ()
| increases the reference counter by one.
void | release ()
| decreases the reference counter by one.

## Detailed Description

provides methods to access cell ranges in a collection via index and other helper methods.

See also
  com::sun::star::sheet::SheetCellRanges

## Member Function Documentation

## ◆ getCells()

com::sun::star::container::XEnumerationAccess getCells | ( |  | ) |

returns the collection of all used cells.

See also
  com::sun::star::sheet::Cells

## ◆ getRangeAddresses()

sequence< com::sun::star::table::CellRangeAddress > getRangeAddresses | ( |  | ) |

creates a sequence with addresses of all contained cell ranges.

Returns
  a sequence with the addresses of all cell ranges.

## ◆ getRangeAddressesAsString()

string getRangeAddressesAsString | ( |  | ) |

creates a string with addresses of all contained cell ranges.

The range addresses are separated with semicolons. For instance the string could have the form "Sheet1.A1:C3;Sheet2.D5:F8".

Returns
  a string containing the addresses of all cell ranges.

The documentation for this interface was generated from the following file:

- com/sun/star/sheet/XSheetCellRanges.idl